%define oname	clearlooks-phenix

Name:		clearlooks-phenix-theme
Summary:	GTK3 port of Clearlooks theme
Version:	7.0.1
Release:	%mkrel 1
License:	GPLv3+
Group:		Graphical desktop/GNOME
Url:		http://www.jpfleury.net/en/software/clearlooks-phenix.php
Source0:	https://github.com/jpfleury/clearlooks-phenix/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	libgtk+3.0 >= 3.14.0
# for GTK2 apps
Requires:	gtk-engines2
Provides:	%{oname} = %{version}-%{release}

%description
The Clearlooks-Phenix project (formerly known as Clearwaita) aims at creating
a GTK3 port of Clearlooks, the default theme for Gnome 2. Style is also
included for GTK2, Unity and for Metacity, Openbox and Xfwm4 window managers.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
#nothing

%install
mkdir -p %{buildroot}%{_datadir}/themes/Clearlooks-Phenix
cp -a gtk-2.0 \
	gtk-3.0 \
	index.theme \
	metacity-1 \
	openbox-3 \
	wallpapers \
	xfwm4 \
	%{buildroot}%{_datadir}/themes/Clearlooks-Phenix

# remove patch backup files
find %{buildroot} -name "*.[0-9][0-9][0-9][0-9]" -delete

%files
%doc *.md
%{_datadir}/themes/Clearlooks-Phenix/


%changelog
* Thu Dec 15 2016 wally <wally> 7.0.1-1.mga6
+ Revision: 1075408
- new version 7.0.1

* Mon Feb 08 2016 umeabot <umeabot> 6.0.3-3.mga6
+ Revision: 950049
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.0.3-2.mga5
+ Revision: 744136
- Second Mageia 5 Mass Rebuild

  + wally <wally>
    - new version 6.0.3

* Sun Sep 28 2014 wally <wally> 6.0-1.mga5
+ Revision: 731028
- new version 6.0

* Tue Sep 16 2014 umeabot <umeabot> 3.0.16-8.mga5
+ Revision: 678422
- Mageia 5 Mass Rebuild

* Sat May 10 2014 wally <wally> 3.0.16-7.mga5
+ Revision: 621697
- fix patch origin in .spec

* Sat May 10 2014 wally <wally> 3.0.16-6.mga5
+ Revision: 621693
- sync patches with Andrew Shadura
- drop our own background color patch

* Sun Apr 20 2014 wally <wally> 3.0.16-5.mga5
+ Revision: 617190
- add patch to fix some background color issues with new gtk3

* Sun Apr 20 2014 wally <wally> 3.0.16-4.mga5
+ Revision: 617140
- don't pkg patch backup files

* Sun Apr 20 2014 wally <wally> 3.0.16-3.mga5
+ Revision: 617121
- add some patches from Andrew Shadura to fix various issues with new gtk3 versions

* Tue Oct 22 2013 umeabot <umeabot> 3.0.16-2.mga4
+ Revision: 541370
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 wally <wally> 3.0.16-1.mga4
+ Revision: 495783
- new version 3.0.16

* Sat Jul 20 2013 wally <wally> 3.0.15-3.mga4
+ Revision: 456551
- fix requires

* Sat Jul 20 2013 wally <wally> 3.0.15-2.mga4
+ Revision: 456531
- replace description with one from upstream web page

* Sat Jul 20 2013 wally <wally> 3.0.15-1.mga4
+ Revision: 456525
- require gtk2-engines for GTK2 apps
- imported package clearlooks-phenix-theme

